using System;

class StringsDemo
{
	static void Main(string[] args)
	{
		string s = " !";
		for (int i=0; i<s.Length; i++)
		{
			Console.WriteLine("s[{0}] = {1}", i, s[i]);
		}

		string s2 = " " + "!";
		if (s == s2) // 
		{
			//    
			Console.WriteLine("s == s2");
		}

		if (s.StartsWith("")) // 
		{
			Console.WriteLine(",   !");
		}

		
		//string s = " !";

		string b = s.Substring(5, 4); // b = ""
		Console.WriteLine(
			"\"{0}\".Substring(5,4) is \"{1}\".", s, b);
		// : " !".Substring(5,4) is "".

		int beerIndex = s.IndexOf(""); // 5
		Console.WriteLine(
			"The index of \"{0}\" in \"{1}\" is {2}.",
			"", s, beerIndex);
		// : The index of "" in " !" is 5.

		int vodkaIndex = s.IndexOf(""); // -1
		Console.WriteLine(
			"The index of \"{0}\" in \"{1}\" is {2}.",
			"", s, vodkaIndex);
		// : The index of "" in " !" is -1.


		string wisdom = "  ,    " +
			". , , !";
		string[] words = wisdom.Split(' ', ',', '.', '!');
		foreach (string w in words)
		{
			if (w != "")
			{
				Console.Write("{0} ", w);
			}
		}
		Console.WriteLine();
		// :          

		string[] drinks = {"", "", "", ""};
		string wordsList = String.Join(", ", drinks);
		Console.WriteLine(" : {0}.", wordsList);
		// :  : , , , .


		string nonsense = String.Format(
			" ,  {0} + {1} = {2},    " +
			"    {3}.", 2, 2, 5, 2);
		Console.WriteLine(nonsense);
		// :  ,  2 + 2 = 5,        2.

		string formattedDate = String.Format(
			"  {0:d.MM.yyyy} .", DateTime.Now);
		Console.WriteLine(formattedDate);
		// :   2.08.2004 .

		const int SIZE = 15;
		string formattedName = " ".PadLeft(SIZE, ' ');
		string formattedSum  = "131.7 .".PadLeft(SIZE, '0');
		Console.WriteLine("  : {0}", formattedName);
		Console.WriteLine(" : {0}", formattedSum);
		// :
		//   :         
		//  : 000000131.7 .


		string example = ", , , .";
		string trimmed = example.Trim(',', '.', ' ');
		Console.WriteLine(trimmed);
		// : , , 

		String upDemo = trimmed.ToUpper();
		Console.WriteLine(upDemo);
		// : , , 

		string insertDemo = upDemo.Insert(7, ", ");
		Console.WriteLine(insertDemo);
		// : , , , 

		string removeDemo = insertDemo.Remove(11, 9);
		Console.WriteLine(removeDemo);
		// : , , 

		string replaceDemo = removeDemo.Replace(", ", " + ");
		Console.WriteLine(replaceDemo);
		// :  +  + 
	}
}
